Skip to main content
PUT
/
v2
/
reviews
/
{platform}
/
{merchant_id}
cURL
curl --request PUT \
  --url https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "full_text": "<string>",
  "rating": 2,
  "images_count": 500,
  "videos_count": 500,
  "date": "2026-01-01T12:00:00Z"
}
'
import requests

url = "https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}"

payload = {
"full_text": "<string>",
"rating": 2,
"images_count": 500,
"videos_count": 500,
"date": "2026-01-01T12:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_text: '<string>',
rating: 2,
images_count: 500,
videos_count: 500,
date: '2026-01-01T12:00:00Z'
})
};

fetch('https://api.loyaltylion.com/v2/reviews/{platform}/{merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "review": {
    "id": 123,
    "program_id": 123,
    "customer": {
      "id": 123,
      "email": "<string>"
    },
    "site_id": 123,
    "platform": "custom",
    "merchant_id": "<string>",
    "full_text": "Lorem ipsum dolor sit amet, consectetur adipiscing elit",
    "rating": 5,
    "images_count": 3,
    "videos_count": 0,
    "merchant_created_at": "<string>",
    "merchant_updated_at": "<string>",
    "moderation_url": "<string>"
  }
}
{
"error": {
"message": "<string>",
"details": {}
}
}
{
"error": {
"message": "<string>",
"details": {}
}
}
{
"error": {
"message": "<string>",
"details": {}
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>"
}
}
{
"error": {
"code": "<string>"
}
}
Required scope: write_reviewsThis endpoint is in preview, and is only available to partners and merchants who have opted-in
Use this endpoint to inform us about a change to a review. For example, if a review is initially created with a pending status and is later approved, you can send LoyaltyLion an update informing us it has been approved. To update a review you’ll need the platform and the merchant_id you sent to LoyaltyLion when you first created the review.

Authorizations

Authorization
string
header
required

An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a Bearer token in the Authorization header

Path Parameters

platform
string
required

The review platform. Use your platform identifier if you are a review partner, or "custom" if you are a merchant integrating a custom reviews app

Minimum string length: 1
Example:

"custom"

merchant_id
string
required

The ID of the review in the review platform

Minimum string length: 1

Body

application/json

Body

status
enum<string>
required

The current status of the review, which determines how and when associated rules are triggered. One of: pending (the review is pending review), flagged (the review has been flagged for review), approved (the review has been approved/published), rejected (the review has been rejected)

Available options:
approved,
flagged,
pending,
rejected
full_text
string
required

The full text of the review

Minimum string length: 1
rating
number
required

The rating given in the review

Required range: x >= 1
images_count
number
required

The number of images attached to the review

Required range: 0 <= x <= 1000
videos_count
number
required

The number of videos attached to the review

Required range: 0 <= x <= 1000
date
string
required

The date this review was updated in the review platform, as an ISO 8601 timestamp

Example:

"2026-01-01T12:00:00Z"

Response

200

review
object
required